/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLInputElement_H__
#define __GdomHTMLInputElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLInputElement GdomHTMLInputElement;
typedef struct _GdomHTMLInputElementClass GdomHTMLInputElementClass;


#define GDOM_TYPE_HTML_INPUT_ELEMENT            (gdom_html_input_element_get_type())
#define GDOM_HTML_INPUT_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_INPUT_ELEMENT, GdomHTMLInputElement))
#define GDOM_HTML_INPUT_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_INPUT_ELEMENT, GdomHTMLInputElement)Class)
#define GDOM_IS_HTML_INPUT_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_INPUT_ELEMENT))
#define GDOM_IS_HTML_INPUT_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_INPUT_ELEMENT))
#define GDOM_HTML_INPUT_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_INPUT_ELEMENT, GdomHTMLInputElementClass))

typedef struct _GdomHTMLInputElementPrivate GdomHTMLInputElementPrivate;

struct _GdomHTMLInputElement {
    GdomHTMLElement parent_instance;
    GdomHTMLInputElementPrivate *priv;
};

struct _GdomHTMLInputElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_input_element_get_type (void);

WEBKIT_API void
gdom_html_input_element_select (GdomHTMLInputElement *thiz);

WEBKIT_API void
gdom_html_input_element_click (GdomHTMLInputElement *thiz);

WEBKIT_API void
gdom_html_input_element_set_selection_range (GdomHTMLInputElement *thiz, glong start, glong end);

G_END_DECLS

#endif /* __GdomHTMLInputElement_H__ */
